import { Observable } from 'rxjs';
import { CreateProjectDto } from '@app/domain/projects/dto/create-project.dto';
import { Project } from '@app/domain/projects/project.model';

export interface ProjectRepository {
  create(projectDto: CreateProjectDto): Observable<Project>;
  list(userId: string): Observable<Project[]>;
  get(projectId: string): Observable<Project>;
  update(id: string, data: Project | any): Observable<Project>;
}
